BNSApi - interface

export
interface

  BNSApiInterface

### Hierarchy

- BNSApiInterface

### Implemented by

- BNSApi

## Index

### Methods

- fetchZoneFile
- fetchZoneFileRaw
- getAllNames
- getAllNamesRaw
- getAllNamespaces
- getAllNamespacesRaw
- getAllSubdomains
- getAllSubdomainsRaw
- getHistoricalZoneFile
- getHistoricalZoneFileRaw
- getNameHistory
- getNameHistoryRaw
- getNameInfo
- getNameInfoRaw
- getNamePrice
- getNamePriceRaw
- getNamesOwnedByAddress
- getNamesOwnedByAddressRaw
- getNamespaceNames
- getNamespaceNamesRaw
- getNamespacePrice
- getNamespacePriceRaw
- getSubdomainAtTransaction
- getSubdomainAtTransactionRaw

## Methods

### fetchZoneFile

- fetchZoneFile(requestParameters: FetchZoneFileRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/BNSApi.ts:110

  Fetch a user’s raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files. Fetch Zone File

  #### Parameters

  - ##### requestParameters: FetchZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### fetchZoneFileRaw

- fetchZoneFileRaw(requestParameters: FetchZoneFileRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/BNSApi.ts:104

  Fetch a user’s raw zone file. This only works for RFC-compliant zone files. This method returns an error for names that have non-standard zone files.

  summary

    Fetch Zone File

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: FetchZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getAllNames

- getAllNames(requestParameters: GetAllNamesRequest, initOverrides?: RequestInit): Promise<string[]>

- - Defined in src/generated/apis/BNSApi.ts:126

  Fetch a list of all names known to the node. Get All Names

  #### Parameters

  - ##### requestParameters: GetAllNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getAllNamesRaw

- getAllNamesRaw(requestParameters: GetAllNamesRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- - Defined in src/generated/apis/BNSApi.ts:120

  Fetch a list of all names known to the node.

  summary

    Get All Names

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetAllNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getAllNamespaces

- getAllNamespaces(initOverrides?: RequestInit): Promise< BnsGetAllNamespacesResponse >

- - Defined in src/generated/apis/BNSApi.ts:141

  Fetch a list of all namespaces known to the node. Get All Namespaces

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetAllNamespacesResponse >

### getAllNamespacesRaw

- getAllNamespacesRaw(initOverrides?: RequestInit): Promise< ApiResponse < BnsGetAllNamespacesResponse >>

- - Defined in src/generated/apis/BNSApi.ts:135

  Fetch a list of all namespaces known to the node.

  summary

    Get All Namespaces

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetAllNamespacesResponse >>

### getAllSubdomains

- getAllSubdomains(requestParameters: GetAllSubdomainsRequest, initOverrides?: RequestInit): Promise<string[]>

- - Defined in src/generated/apis/BNSApi.ts:157

  Fetch a list of all subdomains known to the node. Get All Subdomains

  #### Parameters

  - ##### requestParameters: GetAllSubdomainsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getAllSubdomainsRaw

- getAllSubdomainsRaw(requestParameters: GetAllSubdomainsRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- - Defined in src/generated/apis/BNSApi.ts:151

  Fetch a list of all subdomains known to the node.

  summary

    Get All Subdomains

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetAllSubdomainsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getHistoricalZoneFile

- getHistoricalZoneFile(requestParameters: GetHistoricalZoneFileRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/BNSApi.ts:174

  Fetches the historical zonefile specified by the username and zone hash. Get Historical Zone File

  #### Parameters

  - ##### requestParameters: GetHistoricalZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getHistoricalZoneFileRaw

- getHistoricalZoneFileRaw(requestParameters: GetHistoricalZoneFileRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/BNSApi.ts:168

  Fetches the historical zonefile specified by the username and zone hash.

  summary

    Get Historical Zone File

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetHistoricalZoneFileRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getNameHistory

- getNameHistory(requestParameters: GetNameHistoryRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/BNSApi.ts:191

  Get a history of all blockchain records of a registered name. Get Name History

  #### Parameters

  - ##### requestParameters: GetNameHistoryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getNameHistoryRaw

- getNameHistoryRaw(requestParameters: GetNameHistoryRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/BNSApi.ts:185

  Get a history of all blockchain records of a registered name.

  summary

    Get Name History

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNameHistoryRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getNameInfo

- getNameInfo(requestParameters: GetNameInfoRequest, initOverrides?: RequestInit): Promise< BnsGetNameInfoResponse >

- - Defined in src/generated/apis/BNSApi.ts:206

  Get Name Details

  #### Parameters

  - ##### requestParameters: GetNameInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNameInfoResponse >

### getNameInfoRaw

- getNameInfoRaw(requestParameters: GetNameInfoRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNameInfoResponse >>

- - Defined in src/generated/apis/BNSApi.ts:201
  summary

    Get Name Details

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNameInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNameInfoResponse >>

### getNamePrice

- getNamePrice(requestParameters: GetNamePriceRequest, initOverrides?: RequestInit): Promise< BnsGetNamePriceResponse >

- - Defined in src/generated/apis/BNSApi.ts:222

  Get the price of a name. The `amount` given will be in the smallest possible units of the currency. Get Name Price

  #### Parameters

  - ##### requestParameters: GetNamePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNamePriceResponse >

### getNamePriceRaw

- getNamePriceRaw(requestParameters: GetNamePriceRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNamePriceResponse >>

- - Defined in src/generated/apis/BNSApi.ts:216

  Get the price of a name. The `amount` given will be in the smallest possible units of the currency.

  summary

    Get Name Price

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNamePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNamePriceResponse >>

### getNamesOwnedByAddress

- getNamesOwnedByAddress(requestParameters: GetNamesOwnedByAddressRequest, initOverrides?: RequestInit): Promise< BnsNamesOwnByAddressResponse >

- - Defined in src/generated/apis/BNSApi.ts:239

  Retrieves a list of names owned by the address provided. Get Names Owned by Address

  #### Parameters

  - ##### requestParameters: GetNamesOwnedByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsNamesOwnByAddressResponse >

### getNamesOwnedByAddressRaw

- getNamesOwnedByAddressRaw(requestParameters: GetNamesOwnedByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsNamesOwnByAddressResponse >>

- - Defined in src/generated/apis/BNSApi.ts:233

  Retrieves a list of names owned by the address provided.

  summary

    Get Names Owned by Address

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNamesOwnedByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsNamesOwnByAddressResponse >>

### getNamespaceNames

- getNamespaceNames(requestParameters: GetNamespaceNamesRequest, initOverrides?: RequestInit): Promise<string[]>

- - Defined in src/generated/apis/BNSApi.ts:256

  Fetch a list of names from the namespace. Get Namespace Names

  #### Parameters

  - ##### requestParameters: GetNamespaceNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string[]>

### getNamespaceNamesRaw

- getNamespaceNamesRaw(requestParameters: GetNamespaceNamesRequest, initOverrides?: RequestInit): Promise< ApiResponse <string[]>>

- - Defined in src/generated/apis/BNSApi.ts:250

  Fetch a list of names from the namespace.

  summary

    Get Namespace Names

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNamespaceNamesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string[]>>

### getNamespacePrice

- getNamespacePrice(requestParameters: GetNamespacePriceRequest, initOverrides?: RequestInit): Promise< BnsGetNamespacePriceResponse >

- - Defined in src/generated/apis/BNSApi.ts:272

  Get the price of a namespace. The `amount` given will be in the smallest possible units of the currency. Get Namespace Price

  #### Parameters

  - ##### requestParameters: GetNamespacePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BnsGetNamespacePriceResponse >

### getNamespacePriceRaw

- getNamespacePriceRaw(requestParameters: GetNamespacePriceRequest, initOverrides?: RequestInit): Promise< ApiResponse < BnsGetNamespacePriceResponse >>

- - Defined in src/generated/apis/BNSApi.ts:266

  Get the price of a namespace. The `amount` given will be in the smallest possible units of the currency.

  summary

    Get Namespace Price

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetNamespacePriceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BnsGetNamespacePriceResponse >>

### getSubdomainAtTransaction

- getSubdomainAtTransaction(requestParameters: GetSubdomainAtTransactionRequest, initOverrides?: RequestInit): Promise< InlineResponse200 []>

- - Defined in src/generated/apis/BNSApi.ts:288

  Fetches the list of subdomain operations processed by a given transaction. The returned array includes subdomain operations that have not yet been accepted as part of any subdomain’s history (checkable via the accepted field). If the given transaction ID does not correspond to a Blockstack transaction that introduced new subdomain operations, and empty array will be returned. Get Subdomain at Transaction

  #### Parameters

  - ##### requestParameters: GetSubdomainAtTransactionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< InlineResponse200 []>

### getSubdomainAtTransactionRaw

- getSubdomainAtTransactionRaw(requestParameters: GetSubdomainAtTransactionRequest, initOverrides?: RequestInit): Promise< ApiResponse < InlineResponse200 []>>

- - Defined in src/generated/apis/BNSApi.ts:282

  Fetches the list of subdomain operations processed by a given transaction. The returned array includes subdomain operations that have not yet been accepted as part of any subdomain’s history (checkable via the accepted field). If the given transaction ID does not correspond to a Blockstack transaction that introduced new subdomain operations, and empty array will be returned.

  summary

    Get Subdomain at Transaction

  throws

    {RequiredError}

  memberof

    BNSApiInterface

  #### Parameters

  - ##### requestParameters: GetSubdomainAtTransactionRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < InlineResponse200 []>>

Generated using TypeDoc